Altibase.jdbc.driver.sharding.util

## Class ShardingTraceLogger

- java.lang.Object
- - Altibase.jdbc.driver.sharding.util.ShardingTraceLogger

    public class ShardingTraceLogger
    extends java.lang.Object

### Field Summary

Fields
`static int` `DEFALUT_LOG_FILE_ROTATE_CNT`
`static int` `DEFAULT_LOG_FILE_SIZE`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `shard_log(java.util.logging.Level aLevel, java.lang.Exception aException)`
`static void` `shard_log(java.util.logging.Level aLevel, java.lang.String aLog)`
`static void` `shard_log(java.util.logging.Level aLevel, java.lang.String aLog, java.lang.Exception aException)`
`static void` `shard_log(java.util.logging.Level aLevel, java.lang.String aLog, java.lang.Object aParam)`
`static void` `shard_log(java.lang.String aLog)`
`static void` `shard_log(java.lang.String aLog, java.lang.Exception aException)`
`static void` `shard_log(java.lang.String aLog, java.lang.Object aParam)`
`static void` `shard_log(java.lang.String aLog, java.lang.Object[] aParams)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_LOG_FILE_SIZE

    public static final int DEFAULT_LOG_FILE_SIZE

See Also:
  Constant Field Values

#### DEFALUT_LOG_FILE_ROTATE_CNT

    public static final int DEFALUT_LOG_FILE_ROTATE_CNT

See Also:
  Constant Field Values

### Method Detail

#### shard_log

    public static void shard_log(java.util.logging.Level aLevel,
                                 java.lang.String aLog,
                                 java.lang.Exception aException)

#### shard_log

    public static void shard_log(java.util.logging.Level aLevel,
                                 java.lang.Exception aException)

#### shard_log

    public static void shard_log(java.util.logging.Level aLevel,
                                 java.lang.String aLog)

#### shard_log

    public static void shard_log(java.lang.String aLog)

#### shard_log

    public static void shard_log(java.lang.String aLog,
                                 java.lang.Object aParam)

#### shard_log

    public static void shard_log(java.util.logging.Level aLevel,
                                 java.lang.String aLog,
                                 java.lang.Object aParam)

#### shard_log

    public static void shard_log(java.lang.String aLog,
                                 java.lang.Exception aException)

#### shard_log

    public static void shard_log(java.lang.String aLog,
                                 java.lang.Object[] aParams)